#
# spec file for package imap (Version 2002d)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool openssl-devel perl rpm

Name:         imap
License:      BSD
Group:        Productivity/Networking/Email/Servers
Version:      2002d
Release:      61
Summary:      IMAP4, POP2, and POP3 Mail Server
Source0:      imap-%{version}.tar.bz2
Source1:      README.SuSE
# pam config
Source2:      imap.pamd
Source3:      pop.pamd
# xinetd config
Source4:      imap.xinetd
Patch0:       imap-2001a-include.diff
Patch1:       imap-2001a-doc.diff
Patch2:       imap-2001a-ssl.diff
Patch3:       imap-2001a-cflags.diff
Patch4:       imap-2001a-overflow.diff
Patch5:       imap-2002c-c++.diff
Patch6:       imap-2004a-crammd5.diff
Patch7:       imap-2004g-netmailboxname.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     pam inet-daemon
PreReq:       bash /bin/echo /bin/mv

%description
This package contains IMAP4, POP2, and POP3 mail servers.

After installation you have to activate the servers in the file
/etc/inetd.conf.



Authors:
--------
    Mark Crispin <mrc@cac.washington.edu>

%package lib
Summary:      IMAP4rev1/c-client Development Environment
Group:        Development/Libraries/C and C++
Provides:     imap-devel:/usr/lib/libc-client.so

%description lib
This package contains libraries for IMAP client programs.



Authors:
--------
    Mark Crispin <mrc@cac.washington.edu>

%package devel
Summary:      IMAP4rev1/c-client Development Environment
Group:        Development/Libraries/C and C++
Requires:     imap-lib = %version

%description devel
This package contains libraries and header files for IMAP client
programs.



Authors:
--------
    Mark Crispin <mrc@cac.washington.edu>

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
export CFLAGS="$RPM_OPT_FLAGS -DDISABLE_POP_PROXY=1 -fPIC"
make lnp MYCFLAGS="$CFLAGS" SSLTYPE=nopwd
make lnp c-client
gcc -shared -o libc-client.so.%{version} c-client/*.o
strip libc-client.so.%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man8,share/doc/packages/imap}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 755 -s imapd/imapd ipopd/ipop2d ipopd/ipop3d mtest/mtest $RPM_BUILD_ROOT/usr/sbin/
install -m 644  $RPM_SOURCE_DIR/imap.pamd ${RPM_BUILD_ROOT}/etc/pam.d/imap
install -m 644  $RPM_SOURCE_DIR/pop.pamd ${RPM_BUILD_ROOT}/etc/pam.d/pop
install -m 644 -D $RPM_SOURCE_DIR/imap.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/imap
install -m 644 src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/share/man/man8/imapd.8
install -m 644 src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/share/man/man8/ipopd.8
install -m 644 $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT/usr/share/doc/packages/imap/
install -m 644 CONTENTS CPYRIGHT README WARNING docs/RELNOTES $RPM_BUILD_ROOT/usr/share/doc/packages/imap/
install -m 644 docs/{FAQ,bugs,imaprc,md5,naming,drivers}.txt $RPM_BUILD_ROOT/usr/share/doc/packages/imap/
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/osdep/tops-20/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/osdep/unix/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/c-client/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp c-client/linkage.{h,c} $RPM_BUILD_ROOT/%{_includedir}/imap
cp c-client/osdep.h $RPM_BUILD_ROOT/%{_includedir}/imap
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install -m 644 c-client/c-client.a $RPM_BUILD_ROOT/%{_libdir}/libc-client.a
ln -sf libc-client.a $RPM_BUILD_ROOT/%{_libdir}/c-client.a
install -m 755 libc-client.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/
ln -sf libc-client.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libc-client.so

%files
/usr/sbin/*
/usr/share/man/man8/*
%config /etc/pam.d/*
%config(noreplace) /etc/xinetd.d/imap
%doc /usr/share/doc/packages/imap

%files lib
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.a
%{_includedir}/imap

%post
if [ -f /usr/share/ssl/certs/imapd.pem ] ; then
    if [ ! -f /etc/ssl/certs/imapd.pem ] ; then
	echo "moving imapd certificate to /etc/ssl/certs"
	mv /usr/share/ssl/certs/imapd.pem /etc/ssl/certs/
    fi
fi
if [ -f /usr/share/ssl/certs/ipop3d.pem ] ; then
    if [ ! -f /etc/ssl/certs/ipop3d.pem ] ; then
	echo "moving ipop3d certificate to /etc/ssl/certs"
	mv /usr/share/ssl/certs/ipop3d.pem /etc/ssl/certs/
    fi
fi

%changelog -n imap
* Mon Oct 10 2005 - rommel@suse.de
- fixed buffer overflow while parsing netmailbox name (bug #120608)
* Mon Feb 14 2005 - rommel@suse.de
- fixed cram-md5 auth problem (bug #49942)
* Thu Jun 12 2003 - arvin@suse.de
- fixed directory file list
* Fri Jun 06 2003 - arvin@suse.de
- updated to version 2002d (minor release with primarily bugfixes)
* Thu Apr 17 2003 - arvin@suse.de
- updated to version 2002c (minor release with primarily bugfixes)
* Tue Apr 15 2003 - arvin@suse.de
- explain how to create a certificate (bug #26281)
* Fri Apr 11 2003 - arvin@suse.de
- added tls/ssl services to xinetd config file
* Thu Apr 10 2003 - arvin@suse.de
- updated to version 2002b (maintenace release)
* Thu Apr 10 2003 - arvin@suse.de
- fixed path for certificates (now /etc/ssl/certs) (bug #25762)
* Thu Mar 06 2003 - arvin@suse.de
- don't use tcpwrapper config file for xinetd (bug #24773)
* Mon Mar 03 2003 - arvin@suse.de
- added config file for xinetd
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
- Don't use absolute path to pam modules
* Wed Nov 20 2002 - arvin@suse.de
- updated to imap version 2002
- now compiled with the default SSLTYPE=nopwd in accordance with
  current IESG security requirements
* Thu Nov 07 2002 - arvin@suse.de
- include linkage.c in imap-devel
* Tue Sep 03 2002 - arvin@suse.de
- fixed header files to be C++ compliant
* Wed Jul 24 2002 - arvin@suse.de
- moved shared library into extra sub package
* Fri Jul 12 2002 - arvin@suse.de
- imap-devel package requires imap package
* Mon May 06 2002 - arvin@suse.de
- fixed overflow while parsing rfc822 messages
* Mon Apr 22 2002 - arvin@suse.de
- make c-client.a a link to libc-client.a
* Thu Apr 18 2002 - kukuk@suse.de
- Use -fPIC instead of -fpic
* Mon Feb 04 2002 - arvin@suse.de
- updated to version 2001a (maintenance release)
- turned SSL support on again
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jun 18 2001 - arvin@suse.de
- added osdep.h to imap-devel (bug #8698)
* Tue May 08 2001 - arvin@suse.de
- bzip2 sources
* Wed Apr 18 2001 - arvin@suse.de
- do not explicit provide imap, it's done automatically
* Tue Feb 06 2001 - arvin@suse.de
- updated to version 2000c
- fixed to compile without kernel header files
* Tue Dec 19 2000 - arvin@suse.de
- ensure to link against shared version of libcrypto
* Mon Dec 18 2000 - arvin@suse.de
- added SSL support
* Fri Nov 03 2000 - kukuk@suse.de
- Fix compiling on SPARC
* Fri Nov 03 2000 - arvin@suse.de
- changed group tag
* Thu Oct 26 2000 - arvin@suse.de
- new version with imap 2000
- contains both programs and libraries
* Fri Mar 17 2000 - rolf@suse.de
- removed binaries [bug#2378]
- compile -fpic for shared lib
- use RPM macros for locations of files
- set Group: tag
* Thu Dec 23 1999 - rolf@suse.de
- make shared lib work and strip it
* Thu Dec 09 1999 - rolf@suse.de
- new version 4.7
- build for PAM systems (LDAP not supported)
- apply lock-patch
- also build shared lib
* Fri Oct 01 1999 - rolf@suse.de
- initial version 4.5.BETA
